@use '../../../../styles/helpers/breakpoints';

.manga-card-tile {
  height: 100%;

  .tile-content {
    display: grid;
    grid-template-columns: min(25%, 150px) auto;
    column-gap: 0.5rem;
  }

  .tile-cover {
    position: relative;

    img {
      object-fit: contain;
      object-position: top;
    }
  }

  .tile-info {
    display: flex;
    flex-direction: column;
    gap: 0.25rem;

    &__status {
      margin-right: auto;
    }

    &__desc {
      height: 8.4em;
      overflow: hidden;
      text-overflow: ellipsis;
    }
  }
}

.manga-cover-tile {
  height: 100%;
  position: relative;
  cursor: pointer;

  .cover-title-overlay {
    position: absolute;
    bottom: 0;

    width: 100%;
    z-index: 1;

    &::before {
      content: '';
      position: absolute;
      bottom: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background: linear-gradient(180deg, transparent, rgba(0, 0, 0, 0.85));
      z-index: -1;
    }
  }

  .cover-title {
    padding: 1rem 0.5rem 0.5rem;

    transition-duration: 75ms;
    transition-property: padding;
    transition-timing-function: ease-in-out;

    // Lasciate ogni speranza, voi ch'entrate
    //display: -webkit-box;
    //overflow: hidden;
    //-webkit-box-orient: vertical;
    //-webkit-line-clamp: 4;

    //overflow: hidden;
    //text-overflow: ellipsis;
    //white-space: nowrap;

    text-shadow: 0 0 3px #000;
    color: white;
  }

  &:hover {
    .cover-title {
      padding: 50% 0.5rem 1rem;
    }
  }
}
